import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import org.apache.jasper.runtime.*;
import java.sql.*;
import java.util.*;

public class newAccount_jsp extends HttpJspBase {

 
	private boolean debugMode = true;				
	private HttpServletRequest myRequest;
	public static final String ERR_MSG_KEY = "errorMessage";
	public static final String SUC_MSG_KEY = "successMessage";
	
	private void setErrorMessage(String errMsg) {
		myRequest.setAttribute(ERR_MSG_KEY, errMsg);
	}
	
	private void setSuccessMessage(String msg){
		myRequest.setAttribute(SUC_MSG_KEY, msg);
	}
	


  private static java.util.Vector _jspx_includes;

  static {
    _jspx_includes = new java.util.Vector(3);
    _jspx_includes.add("/standardheadWOLogin.jsp");
    _jspx_includes.add("/standardhead_java.jsp");
    _jspx_includes.add("/standardhead_html.jsp");
  }

  public java.util.List getIncludes() {
    return _jspx_includes;
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    JspFactory _jspxFactory = null;
    javax.servlet.jsp.PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;


    try {
      _jspxFactory = JspFactory.getDefaultFactory();
      response.setContentType("text/html; charset=iso-8859-1");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			"", true, 8192, true);
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\r\n\r\n");
      out.write("\n");
      beans.LogTracker logger = null;
      synchronized (session) {
        logger = (beans.LogTracker) pageContext.getAttribute("logger", PageContext.SESSION_SCOPE);
        if (logger == null){
          try {
            logger = (beans.LogTracker) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.LogTracker");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.LogTracker", exc);
          }
          pageContext.setAttribute("logger", logger, PageContext.SESSION_SCOPE);
        }
      }
      out.write("\n");
      beans.Tools tools = null;
      synchronized (application) {
        tools = (beans.Tools) pageContext.getAttribute("tools", PageContext.APPLICATION_SCOPE);
        if (tools == null){
          try {
            tools = (beans.Tools) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.Tools");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.Tools", exc);
          }
          pageContext.setAttribute("tools", tools, PageContext.APPLICATION_SCOPE);
        }
      }
      out.write("\n");
      beans.DatabaseLayer dbConn = null;
      synchronized (session) {
        dbConn = (beans.DatabaseLayer) pageContext.getAttribute("dbConn", PageContext.SESSION_SCOPE);
        if (dbConn == null){
          try {
            dbConn = (beans.DatabaseLayer) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.DatabaseLayer");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.DatabaseLayer", exc);
          }
          pageContext.setAttribute("dbConn", dbConn, PageContext.SESSION_SCOPE);
        }
      }
      out.write(" ");
      out.write("\n");
      out.write("\n");
 myRequest = request; 
      out.write("\n");
      out.write("\r\n\r\n\t\r\n");
      out.write("<!DOCTYPE HTML PUBLIC \"-//w3c//dtd html 4.01 transitional//en\">\r\n");
      out.write("<html>\r\n\t");
      out.write("<head>\r\n\t\t");
      out.write("<meta http-equiv=\"pragma\" content=\"no-cache\">\r\n\t\t");
      out.write("<meta http-equiv=\"expires\" content=\"0\">\r\n\r\n\t\t");
      out.write("<link rel=\"stylesheet\" type=\"text/css\" href=\"");
      out.print(dbConn.getStyle(logger.getUserID()));
      out.write("\">\r\n\t\t");
      out.write("<link rel=\"stylesheet\" type=\"text/css\" href=\"additional.css\">");
      out.write("\r\n\t\t\r\n\t\t");
      out.write("\n\n");
      out.write("<title>Anmeldung");
      out.write("</title>\n");
      out.write("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n");
      out.write("</head>\n\n");
      out.write("<body>\n");
      out.write("<h1 align=\"center\">Einen neuen Account anlegen");
      out.write("</h1>\n");
      out.write("<div align=\"center\">Alle Angaben mit '*' sind notwendig!");
      out.write("</div>\n\n");
 
boolean isSubmitted 	= beans.Tools.isKeyInRequest(request,"NewAccount");
String userName 		= request.getParameter("userName");
String password 		= request.getParameter("password");
String password2 		= request.getParameter("password2");
String email 			= request.getParameter("email");
String firstName 		= request.getParameter("firstName");
String lastName 		= request.getParameter("lastName");
String birthdayDay 		= request.getParameter("birthdayDay");
String birthdayMonth 	= request.getParameter("birthdayMonth");
String birthdayYear 	= request.getParameter("birthdayYear");
String birthday 		= "";

boolean isUserNameOK  	= true;
boolean isPasswordOK  	= true;
boolean isEmailOK 	  	= true;
boolean userExists 		= false;
boolean isVisitedAgain 	= isSubmitted;
boolean isDBConnectionOK= dbConn.isDatabaseConnectionOK();


if(isSubmitted){
	if(isDBConnectionOK){

		if(password == null)  password  = "";
		if(password2 == null) password2 = "";
		if(email == null) 	  email = "";
		
		String birthdaySQLString = tools.makeBirthDate(birthdayYear, birthdayMonth, birthdayDay);
		
		if(userName == null || userName.equals("") ) isUserNameOK = false;
		if((password.equals("")) || !(password.equals(password2))) isPasswordOK = false;
		isEmailOK = tools.emailStringChecker(email);
		
		if(isUserNameOK){
			if(dbConn.isNewUser(userName)){
				if(isPasswordOK  && isEmailOK){
					dbConn.createNewUser(userName, password, firstName, lastName, email, birthdaySQLString);																
				
					String userID = dbConn.verifyUser(userName, password);
				
					if(userID != null && userID.length()>0){
						logger.logIn(userID, userName);
						response.sendRedirect("index.jsp");
					}
					else{
						response.sendRedirect("NewAccountError.jsp");
					}
				}		
			}else {userExists = true;}
		}
	}
}
 
      out.write("\n \n");
      out.write("<div align=\"center\"> \n");

if	(!(isDBConnectionOK )){ 
      out.write("\n \t");
      out.write("<br>");
      out.write("<font color=\"#FF0000\">Zur Zeit kann keine Verbindung zum Datenbankserver hergestellt werden. Wir bitten um Entschuldigung");
      out.write("</font>");
      out.write("<br>\n");
 }
else{
	if (!(isUserNameOK ) && isVisitedAgain) out.print("<font color='#FF0000'>Login ist leer</font><br>");
	if (userExists && isVisitedAgain) 		out.print("<font color='#FF0000'>Loginname schon vergeben</font><br>");
	if (!(isPasswordOK ) && isVisitedAgain) out.print("<font color='#FF0000'>Password stimmte nicht überein oder fehlt</font><br>");
	if (!(isEmailOK ) && isVisitedAgain) 	out.print("<font color='#FF0000'>eMail stimmte nicht oder fehlt</font><br>");
}

      out.write("\n\n\n  ");
      out.write("<form action= \"newAccount.jsp\" method= \"");
if(debugMode) out.print("get"); else out.print("post");
      out.write("\">\n    ");
      out.write("<table border=\"2\" cellpadding=\"2\" cellspacing=\"0\" rules=\"none\" frame=\"group\">\n\t  ");
      out.write("<tr>");
      out.write("<td height=\"3\" colspan=\"4\">");
      out.write("</td>");
      out.write("</tr>\n      ");
      out.write("<tr> \n\t  \t");
      out.write("<td>");
if ((!(isUserNameOK) || userExists) && isVisitedAgain){ out.print("<font color=#FF0000>&nbsp;*&nbsp;</font>");} else {out.print("&nbsp;*&nbsp;");}
      out.write("</td>\n\t\t");
      out.write("<td>Login:");
      out.write("</td>\n        ");
      out.write("<td>");
      out.write("<input name= \"userName\" type=\"text\" value=\"");
if(userName != null) out.print(userName);
      out.write("\" size=\"42\">");
      out.write("</td>\n\t\t");
      out.write("<td>");
      out.write("</td>\n      ");
      out.write("</tr>\n      ");
      out.write("<tr> \n\t  \t");
      out.write("<td>");
if (!(isPasswordOK) && isVisitedAgain) { out.print("<font color=#FF0000>&nbsp;*&nbsp;</font>");} else {out.print("&nbsp;*&nbsp;");}
      out.write("</td>\n        ");
      out.write("<td>Passwort:");
      out.write("</td>\n        ");
      out.write("<td>");
      out.write("<input type=\"password\" name= \"password\" value=\"\" size=\"42\">");
      out.write("</td>\n\t\t");
      out.write("<td>");
      out.write("</td>\n      ");
      out.write("</tr>\n\t  ");
      out.write("<tr> \n\t  ");
      out.write("<td>");
if (!(isPasswordOK) && isVisitedAgain) { out.print("<font color=#FF0000>&nbsp;*&nbsp;</font>");} else {out.print("&nbsp;*&nbsp;");}
      out.write("</td>\n        ");
      out.write("<td>Passwort nochmal:");
      out.write("</td>\n        ");
      out.write("<td>");
      out.write("<input type=\"password\" name= \"password2\" value=\"\" size=\"42\">");
      out.write("</td>\n\t\t");
      out.write("<td>");
      out.write("</td>\n      ");
      out.write("</tr>\n\t  ");
      out.write("<tr> \n\t  \t");
      out.write("<td>");
if (!(isEmailOK) && isVisitedAgain){ out.print("<font color=#FF0000>&nbsp;*&nbsp;</font>");} else {out.print("&nbsp;*&nbsp;");}
      out.write("</td>\n        ");
      out.write("<td>eMail:");
      out.write("</td>\n        ");
      out.write("<td>");
      out.write("<input type=\"text\" name= \"email\" value=\"");
if(email != null) out.print(email);
      out.write("\" size=\"42\">");
      out.write("</td>\n      \t");
      out.write("<td>");
      out.write("</td>\n\t  ");
      out.write("</tr>     \n\t  ");
      out.write("<tr> \n\t  \t");
      out.write("<td>");
      out.write("</td>\n        ");
      out.write("<td>Vorname:");
      out.write("</td>\n        ");
      out.write("<td>");
      out.write("<input type=\"text\" name= \"firstName\" value=\"");
if(firstName != null) out.print(firstName);
      out.write("\" size=\"42\">");
      out.write("</td>\n     \t");
      out.write("<td>");
      out.write("</td>\n\t  ");
      out.write("</tr> \n\t  ");
      out.write("<tr> \n\t  \t");
      out.write("<td>");
      out.write("</td>\n        ");
      out.write("<td>Nachname:");
      out.write("</td>\n        ");
      out.write("<td>");
      out.write("<input type=\"text\" name= \"lastName\" value=\"");
if(lastName != null) out.print(lastName);
      out.write("\" size=\"42\">");
      out.write("</td>\n      \t");
      out.write("<td>");
      out.write("</td>\n\t  ");
      out.write("</tr>\n\t  ");
      out.write("<tr> \n\t  \t");
      out.write("<td>");
      out.write("</td>\n        ");
      out.write("<td>Geburtstag:");
      out.write("</td>\n          ");
      out.write("<td>\n\t\t  \tTag:&nbsp;");
      out.write("<select name=\"birthdayDay\" size=\"1\">\n\t\t\t\t");
      out.write("<option>");
      out.write("</option>\n\t\t\t\t");
 for (int i = 1; i < 32; i++) {
      out.write("\n        \t\t\t");
      out.write("<option ");
if(tools.isTrimStringNotEmpty(birthdayDay) && Integer.parseInt(birthdayDay) == i) out.print("selected");
      out.write(">");
      out.print( (i<10) ? "0" + i : "" + i );
      out.write("</option> \n\t\t\t\t");
}
      out.write("        \t\t\n\t\t\t");
      out.write("</select>\n        \tMonat:&nbsp;");
      out.write("<select name=\"birthdayMonth\" size=\"1\">\n\t\t\t\t");
      out.write("<option>");
      out.write("</option>\n\t\t\t\t");
 for (int i = 1; i < 13; i++) {
      out.write("\n        \t\t\t");
      out.write("<option ");
if(tools.isTrimStringNotEmpty(birthdayMonth) && Integer.parseInt(birthdayMonth) == i) out.print("selected");
      out.write(">");
      out.print( (i<10) ? "0" + i : "" + i );
      out.write("</option>\n        \t\t");
}
      out.write("          \t\t\n\t\t\t");
      out.write("</select>\n\t\t\tJahr:&nbsp;");
      out.write("<select name=\"birthdayYear\" size=\"1\">\n\t\t\t");
      out.write("<option>");
      out.write("</option>\n\t\t\t\t");
 for (int i = (tools.getToday()).get(Calendar.YEAR) - 110; i < (tools.getToday()).get(Calendar.YEAR) + 1; i++) {
      out.write("\n        \t\t\t");
      out.write("<option ");
if(tools.isTrimStringNotEmpty(birthdayYear) && Integer.parseInt(birthdayYear) == i) out.print("selected");
      out.write(">");
      out.print( i );
      out.write("</option>\n        \t\t");
}
      out.write(" \t\t\n\t\t\t");
      out.write("</select>\n\t\t ");
      out.write("</td>\n\t  \t");
      out.write("<td>");
      out.write("</td>\n\t  ");
      out.write("</tr> \n\t  ");
      out.write("<tr>\n\t  \t");
      out.write("<td height=\"12\" colspan=\"4\">");
      out.write("</td>\n\t  ");
      out.write("</tr>\n\t  ");
      out.write("<tr>\n\t  \t");
      out.write("<td align=\"center\" colspan=\"4\">");
      out.write("<input type=\"image\" src=\"buttons/anmelden.gif\" name=\"NewAccount\" value=\"Anmelden\" title=\"anmelden\" alt=\"anmelden\">");
      out.write("</td>\n\t  ");
      out.write("</tr>\n\t  ");
      out.write("<tr>");
      out.write("<td height=\"3\" colspan=\"4\">");
      out.write("</td>");
      out.write("</tr>\n    ");
      out.write("</table>\n    \n  ");
      out.write("</form>\n  Zur&uuml;ck zum ");
      out.write("<a href=\"Login.jsp\">");
      out.write("<img src=\"buttons/terminatorStatic.gif\" border=\"0\" title=\"Termin@or-Homepage\" alt=\"Termin@or-Homepage\" align=\"top\">");
      out.write("</a>\n");
      out.write("</div>\n");
      out.write("</body>\n");
      out.write("</html>\n\n\n");
    } catch (Throwable t) {
      out = _jspx_out;
      if (out != null && out.getBufferSize() != 0)
        out.clearBuffer();
      if (pageContext != null) pageContext.handlePageException(t);
    } finally {
      if (_jspxFactory != null) _jspxFactory.releasePageContext(pageContext);
    }
  }
}
