<%@ page contentType="text/html; charset=iso-8859-1" language="java" import="java.sql.*,java.util.*" errorPage="" %>

<%@ include file = "standardheadWOhtml.jsp"%>


<%@ include file = "standardhead_html.jsp"%>

	<title>TERMIN@OR</title>
<%

String version = "0.8b";
	
_request = request;

showGroupAdmin = beans.Tools.isKeyInRequest(request, "showGroupAdmin");
showProfile = beans.Tools.isKeyInRequest(request, "showProfile");
showDateEditor = beans.Tools.isKeyInRequest(request, "showDateEditor");
showHelp = beans.Tools.isKeyInRequest(request, "showHelp");
showConflictView = (beans.Tools.isKeyInRequest(request, "VectorX") && beans.Tools.isKeyInRequest(request, "VectorY"));
showCalendar = !(showGroupAdmin || showProfile || showHelp);

%>
	
	<%@include file="mainFrameCSS.jsp" %>
	
</head>
<body>

	<div id="bottomRight">
		<%if(showDateEditor) {%>	
			<div>
				<jsp:include page="dateEditor.jsp" />
			</div>
		<%} else if(showConflictView) {%>
			<div>
				<jsp:include page="conflictView.jsp" />
			</div>
		<%}%>
	</div>
	
	
	<div id="topLeft">
		<jsp:include page="buttons.jsp" />				
	</div>

	<div id="top">
		<div id="name">
			Sie sind eingeloggt als <em style="font-weight:bold;"><%=logger.getUserName()%></em>.
		</div>
		<div id="time">
			Letzte Aktion ausgef&uuml;hrt um <em style="font-weight:bold;"><%= getNowTime()%></em> Uhr.
		</div>
	</div>


	<div id="topRight">
		<% if (showGroupAdmin) {%>
        	<jsp:include page="groupAdmin.jsp" />
		<%} else if (showProfile) {%>
    	    <jsp:include page="profile.jsp" />
		<%} else if (showCalendar) {%>
			<jsp:include page="calendar.jsp" />
		<%} else if (showHelp) {%>
			<jsp:include page="help.jsp" />
		<%}%>	
	</div>
	
	
	<%if(showCalendar){%>
		<div id="navbar">
			<jsp:include page="navigationBar.jsp" />		
		</div>
	<%}%>
	
	<div id="bottomLeft">
		<jsp:include page="mygroups.jsp" />
	</div>
	
	<div id="footnote" >
	
		<div id="versioning">
			version <%= version %>
		</div>
	
		<div id="message" style="color:<%= getMessageColor()%>;"><%
			String message = getMessage();
			if (message != null) {%>
				<%=message%>
			<%}%>
		</div>
		
		
	</div>
</body>
</html>

<%!

	private boolean showGroupAdmin;
	private boolean showProfile;

	private boolean showHelp;
	
	private boolean showDateEditor;
	
	private boolean showCalendar;
	private boolean showConflictView;

	private HttpServletRequest  _request;

	private String getMessageColor(){
	
		if( _request.getAttribute("errorMessage") != null && _request.getAttribute("successMessage") != null){
			return "grey"; // indicating an error in messagehandling
		}else if( _request.getAttribute("errorMessage") != null ){
			return "red";
		}else if( _request.getAttribute("successMessage") != null ){
		    return "green";
		}else{
		    return "grey";
		}
	}
	
	private String getMessage(){
	
		String message=null;
		if( _request.getAttribute("errorMessage") != null)
			message = (String)_request.getAttribute("errorMessage");
		else if( _request.getAttribute("successMessage") != null)
			message = (String)_request.getAttribute("successMessage");	
			
		return message;			
	}

    private String getNowTime() {

		GregorianCalendar cal = new GregorianCalendar();
		return (cal.get(Calendar.HOUR_OF_DAY)<10?"0"+cal.get(Calendar.HOUR_OF_DAY):""+cal.get(Calendar.HOUR_OF_DAY)) + ":" + (cal.get(Calendar.MINUTE)<10?"0"+cal.get(Calendar.MINUTE):""+cal.get(Calendar.MINUTE)) ;
	}

%>


