<%@ include file = "standardheadWOLogin.jsp"%>

<title>TERMIN@OR - Startseite</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<%! private static final int TOP_MARGIN = 10; // in pixel
	private static final int RIGHT_MARGIN = 10; // in pixel
	private static final int LEFT_MARGIN = 20; // in pixel
	private static final int LEFT_SIDE_WIDTH = 330; //in pixel
	private static final int TOP_LEFT_HEIGHT = 360; //in pixel
%>
<style type="text/css">

#topLeft {
	position:absolute;
	left:0%;
	top:<%=TOP_MARGIN%>;
	width:<%=LEFT_SIDE_WIDTH%>;
	height:<%=TOP_LEFT_HEIGHT%>;	
	overflow:auto;
}

#bottomLeft {
	position:absolute;
	left:<%=LEFT_MARGIN%>;
	top:<%=TOP_LEFT_HEIGHT%>;
	width:<%=LEFT_SIDE_WIDTH - LEFT_MARGIN%>;
	height:*;
	background:#EEEEEE;
	overflow:auto;
}
		
#right {
	position:absolute;
	left:<%=LEFT_SIDE_WIDTH%>;
	top:<%=TOP_MARGIN%>;
	width:*;
	height:*;						
	overflow:auto;
}

#faq { 
	text-align:left;
	margin-top:<%=TOP_MARGIN%>; 
	margin-left:<%=LEFT_MARGIN%>;
	margin-right:<%=RIGHT_MARGIN%>;
}

#error {
	text-align:left;
	margin-top:0px;
	margin-left:<%=LEFT_MARGIN%>;
	margin-right:<%=RIGHT_MARGIN%>;
	font-weight:bold;
	color:#FF0000;
}
			
</style>
</head>
<body>

<%
boolean isValidUser=false;

boolean isSubmitted = beans.Tools.isKeyInRequest(request,"submit");
String userName = request.getParameter("userName");
String password = request.getParameter("password");

boolean isDBConnectionOK = dbConn.isDatabaseConnectionOK();
%>

<!-- neu ab hier... -->
	
	<div id="topLeft">
	
		<h3 align="center">Einloggen</h3> 
		<div id="faq">Melden Sie sich hier mit Ihrem<br>Benutzernamen und Passwort an:</div>
<%
	if(isSubmitted){
		if(isDBConnectionOK){
			String userId= dbConn.verifyUser(userName, password);
			
			isValidUser = userId.length()>0;

			if(isValidUser){	
				logger.logIn(userId, userName);
				response.sendRedirect("mainFrame.jsp");
			}
		}
	} %>
	<div id="faq">
	  <form action= "Login.jsp" method="<%if(debugMode) out.print("get"); else out.print("post");%>">
	    <table border="2" cellpadding="2" cellspacing="0" rules="none" frame="group">
	      <tr><td height="3" colspan="4"></td></tr>
		  <tr> 
		  	<td width="2"></td>
	        <td>Login:</td>
	        <td><input type="text" name="userName" value="<%if(userName!=null) out.print(userName);%>" <%if (userName==null) out.print("tabindex='1'");%>></td>
			<td width="2"></td>
    	  </tr>
	      <tr> 
		  	<td width="2"></td>
    	    <td>Passwort:</td>
        	<td><input type="password" name="password" value="" <%if ((userName!=null) && (userName.length()>0)) out.print("tabindex='1'");%>></td>
			<td width="2"></td>
	      </tr>
		  <tr>
		  	<td width="2"></td>
		  	<td height="12" colspan="2"></td>
			<td width="2"></td>
		  </tr>
		  <tr>
		  	<td width="2"></td>
		  	<td align="center" colspan="2"><input type="image" src="buttons/login.gif" name="submit" value="Login" alt="best&auml;tigen" title="best&auml;tigen"></td>
			<td width="2"></td>
		  </tr>
		  <tr><td height="3" colspan="4"></td></tr>
   	</table>
	<br>
	<div id="error"><% if(!isDBConnectionOK) out.print("Keine Datenbank-Verbindung!");
	else if(!isValidUser && isSubmitted) out.print("Login oder Password falsch!"); else out.print("&nbsp;"); %>
	</div>
	<br>
	    Neu hier? Dann aber schnell <a href="newAccount.jsp"><strong>anmelden</strong></a>!<br>
	    Passwort vergessen? Eine Email an &nbsp;<a href="mailto:pmteam&#64;emerentia.de?subject=Passwort">pmteam&#64;emerentia.de</a>&nbsp;gen&uuml;gt.<br>
	</form>
	</div>
	</div>

	<div id="right">
		<%@ include file = "faq.jsp"%>
	</div>
	
	<div id="bottomLeft">
		<%@ include file = "werbung.jsp"%>
	</div>
</body>
</html>

