import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import org.apache.jasper.runtime.*;
import beans.lomo.Mode;
import java.sql.*;
import java.util.*;

public class dateEditor_jsp extends HttpJspBase {

 
	private boolean debugMode = true;				
	private HttpServletRequest myRequest;
	public static final String ERR_MSG_KEY = "errorMessage";
	public static final String SUC_MSG_KEY = "successMessage";
	
	private void setErrorMessage(String errMsg) {
		myRequest.setAttribute(ERR_MSG_KEY, errMsg);
	}
	
	private void setSuccessMessage(String msg){
		myRequest.setAttribute(SUC_MSG_KEY, msg);
	}
	

 
	private String getMethod(){
		if(debugMode)
			return "get"; 
		else 
			return "post";
	}
	
	private String getDateID(beans.lomo.Logic bee, beans.LogTracker logger, beans.DatabaseLayer dbConn) {

		String dID = bee.getParameter("dateID");
		

		if (dID.length() == 0){
		
			String dateIDinDB= dbConn.getIDOfData(
				logger.getUserID(),
				bee.getValue("title"),
				bee.getValue("dateBegin"),
				bee.getValue("timeBegin"),
				bee.getValue("dateEnd"),
				bee.getValue("timeEnd"),
				bee.getValue("comment"));
				
				return dateIDinDB != null ? dateIDinDB : "";
		}else
			return dID;
	}	


  private static java.util.Vector _jspx_includes;

  static {
    _jspx_includes = new java.util.Vector(2);
    _jspx_includes.add("/standardheadWOhtml.jsp");
    _jspx_includes.add("/standardhead_java.jsp");
  }

  public java.util.List getIncludes() {
    return _jspx_includes;
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    JspFactory _jspxFactory = null;
    javax.servlet.jsp.PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;


    try {
      _jspxFactory = JspFactory.getDefaultFactory();
      response.setContentType("text/html;charset=ISO-8859-1");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\n\n");
      beans.lomo.Logic bee = null;
      synchronized (request) {
        bee = (beans.lomo.Logic) pageContext.getAttribute("bee", PageContext.REQUEST_SCOPE);
        if (bee == null){
          try {
            bee = (beans.lomo.Logic) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.lomo.Logic");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.lomo.Logic", exc);
          }
          pageContext.setAttribute("bee", bee, PageContext.REQUEST_SCOPE);
        }
      }
      out.write("\n");
      out.write("\n");
      beans.LogTracker logger = null;
      synchronized (session) {
        logger = (beans.LogTracker) pageContext.getAttribute("logger", PageContext.SESSION_SCOPE);
        if (logger == null){
          try {
            logger = (beans.LogTracker) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.LogTracker");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.LogTracker", exc);
          }
          pageContext.setAttribute("logger", logger, PageContext.SESSION_SCOPE);
        }
      }
      out.write("\n");
      beans.Tools tools = null;
      synchronized (application) {
        tools = (beans.Tools) pageContext.getAttribute("tools", PageContext.APPLICATION_SCOPE);
        if (tools == null){
          try {
            tools = (beans.Tools) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.Tools");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.Tools", exc);
          }
          pageContext.setAttribute("tools", tools, PageContext.APPLICATION_SCOPE);
        }
      }
      out.write("\n");
      beans.DatabaseLayer dbConn = null;
      synchronized (session) {
        dbConn = (beans.DatabaseLayer) pageContext.getAttribute("dbConn", PageContext.SESSION_SCOPE);
        if (dbConn == null){
          try {
            dbConn = (beans.DatabaseLayer) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.DatabaseLayer");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.DatabaseLayer", exc);
          }
          pageContext.setAttribute("dbConn", dbConn, PageContext.SESSION_SCOPE);
        }
      }
      out.write(" ");
      out.write("\n");
      out.write("\n");
 myRequest = request; 
      out.write("\n");
      out.write("\n\n");
if(!logger.isLoggedIn() && request.getRequestURI().indexOf("Login.jsp") < 0){
      out.write("\n\t");
      if (true) {
        pageContext.forward("Login.jsp");
        return;
      }
      out.write("\n");
}
      out.write("\n\n");

    bee.setRequest(request);       //wird in getValue() benötigt
    Mode mode = bee.getMode();
   
    bee.initializeWithData();
    
   

      out.write("\n\n");
      out.write("<form action= \"mainFrame.jsp\" method=\"");
      out.print(getMethod());
      out.write("\">\n\t");
      out.write("<table cellspacing=\"0\" cellpadding=\"5\" >\n       \t");
      out.write("<tr class=\"input\">\n\t\t\t");
      out.write("<td>");
      out.write("<b>Titel");
      out.write("</b>");
      out.write("</td>\n            ");
      out.write("<td colspan=2>\n            \t");
      out.write("<input cols=\"50\" type=\"text\" name=\"title\" value=\"");
      out.print( bee.getValueForDisplay("title") );
      out.write("\">\n            ");
      out.write("</td>\n\t\t\t");
      out.write("<td>");
      out.write("</td>           \n            ");
      out.write("<td nowrap rowspan=\"5\" valign=\"top\">");
 
           	if(!mode.isDelete() && !mode.isNew()){                    	
                  	
           		boolean successfull = false;

				if(!mode.isChange() && !bee.checkUserInputDate( bee.getValue("dateBegin"), bee.getValue("timeBegin"), bee.getValue("dateEnd"), bee.getValue("timeEnd"))){

	      			setErrorMessage( "Ihre Datumseingaben sind fehlerhaft!");	
	       		}else if(!mode.isChange() && !bee.checkUserInputTitle(bee.getValue("title"))){

	              	setErrorMessage("Der Titel des Termins hat eine fehlerhafte Länge!");	
				}else if(!mode.isChange() && !bee.checkUserInputComment(bee.getValue("comment"))){

        	       	setErrorMessage("Der eingegebene Kommentar ist nicht in Ordnung!");	
				}else if(mode.isSave() && !bee.checkTerminConflict(logger.getUserID(), bee.getValue("title"), bee.getValue("dateBegin"), bee.getValue("timeBegin"), bee.getValue("dateEnd"), bee.getValue("timeEnd"), bee.getValue("comment"), bee.getParameter("groupToViewID"), bee.getValue("dateID"))){

	               	setErrorMessage("Der Termin steht im Konflikt mit einem anderen eigenen Termin!");	
				}else{
				
					try{
    	        		if(mode.isSave()){
               			
	    	       			successfull = dbConn.addTermin( logger.getUserID(), bee.getParameter("groupToViewID"), mode.isGroupTermin(), bee.escapeString(bee.getValue("title")), bee.getValue("dateBegin"), bee.getValue("timeBegin"), bee.getValue("dateEnd"), bee.getValue("timeEnd"), bee.escapeString(bee.getValue("comment")));       
       	    	      	}else if(mode.isUpdate()){   
       	            	    	                		       	                		 
           	    	  		successfull = dbConn.updateTermin( bee.getValue("dateID"),mode.isGroupTermin(), bee.escapeString(bee.getValue("title")), bee.getValue("dateBegin"), bee.getValue("timeBegin"), bee.getValue("dateEnd"), bee.getValue("timeEnd"), bee.escapeString(bee.getValue("comment")));
                		}else if(mode.isChange()){
                			successfull = true;
	                	}
				    }catch(beans.DateAlreadyExistsException e){
				    	setErrorMessage("Termin ist bereits in Datenbank!");
				 	}	                	

					if(!successfull)
						setErrorMessage("Beim Zugriff auf die Datenbank trat ein Fehler auf!");
					else if(!mode.isChange())
						setSuccessMessage("Die Daten wurden in die Datenbank übernommen.");					
				}
				
      out.write("    \t\n\t\t\t\t\n           \t\t");
      out.write("<input type=\"hidden\" name=\"dateID\" value=\"");
      out.print( getDateID(bee, logger, dbConn) );
      out.write("\">\n\n\t\t\t");
}else if(mode.isDelete()){
		
				if(dbConn.deleteTermin(bee.getParameter("dateID"), mode.isGroupTermin())){
					setSuccessMessage("Termin erfolgreich gelöscht!");
				}else{
					setErrorMessage("Termin konnte nicht gelöscht werden!");
				}
			}
      out.write("\n\t\t\t\n\t\t\t\n\t\t\t");
      out.write("<input type=\"hidden\" name=\"showDateEditor\">\n\t\t\t");
if(beans.Tools.isKeyInRequest(request, "groupToViewID")){
      out.write("\n\t\t\t\t");
      out.write("\n\t\t\t\t");
      out.write("<input type=\"hidden\" name=\"groupToViewID\" value=\"");
      out.print( bee.getParameter("groupToViewID"));
      out.write("\">\n\t\t\t");
}
      out.write("\n\t\t\t\n\t\t\t");
if(beans.Tools.isKeyInRequest(request, "groupID")){
      out.write("\n\t\t\t\t");
      out.write("\n\t\t\t\t");
      out.write("<input type=\"hidden\" name=\"groupID\" value=\"");
      out.print( bee.getParameter("groupID"));
      out.write("\">\n\t\t\t");
}
      out.write("\n\t\t\t\n\t\t\t\n\t\t\t");
      out.write("<input type=\"hidden\" name=\"terminType\" value=\"");
      out.print( mode.getTypeTermin() );
      out.write("\">\n\t\t\t\n\t\t\t");
      out.write("<div style='text-align:right'>\n\t\t\t\t");
if(mode.isChange()){
      out.write("\n\t\t\t\t\t");
      out.write("<input type=\"image\" name=\"");
      out.print( Mode.UPDATE_ACTION );
      out.write("\" src=\"buttons/speichern.gif\">\n\t\t\t\t    ");
      out.write("<br>");
      out.write("<br>\n\t\t\t\t    ");
      out.write("<input type=\"image\" name=\"");
      out.print( Mode.DELETE_ACTION );
      out.write("\" src=\"buttons/loeschen.gif\">\n\t\t\t\t\t");
      out.write("<br>");
      out.write("<br>\n\t\t\t\t\t");
      out.write("<input type=\"image\" name=\"");
      out.print( Mode.NEW_ACTION );
      out.write("\" src=\"buttons/neuerTermin.gif\">\n\t\t\t\t");
}else{
      out.write("  \t                \t        \t    \t\t         \t    \t\t\t\t                   \n\t        \t    ");
      out.write("<input type=\"image\" name=\"");
      out.print( Mode.SAVE_ACTION );
      out.write("\" src=\"buttons/speichern.gif\">\n\t\t\t\t    ");
      out.write("<br>");
      out.write("<br>\n\t\t\t\t\t");
      out.write("<input type=\"image\" name=\"");
      out.print( Mode.NEW_ACTION );
      out.write("\" src=\"buttons/neuerTermin.gif\">  \n\t            ");
}
      out.write("\n    \t\t");
      out.write("</div>        \n            ");
      out.write("</td>\n\t\t");
      out.write("</tr>\n        ");
      out.write("<tr height=\"5\">\n            ");
      out.write("<td colspan=\"3\">");
      out.write("</td>\n        ");
      out.write("</tr>\n        ");
      out.write("<tr class=\"annotationsRow\">\n           \t");
      out.write("<td>");
      out.write("</td>");
      out.write("<td>Datum");
      out.write("</td>\n            ");
      out.write("<td>Uhrzeit");
      out.write("</td>\n            ");
      out.write("<td class=\"notes\">Bemerkungen");
      out.write("</td>\n        ");
      out.write("</tr>\n        ");
      out.write("<tr>\n            ");
      out.write("<td nowrap class=\"input begin\" width=\"75\">");
      out.write("<b>Beginn");
      out.write("</b>");
      out.write("</td>\n            ");
      out.write("<td nowrap class=\"dateDrops input begin\">");
      out.print( bee.getDateDropDowns( bee.getValueForDisplay("dateBegin", bee.getNowDate()), "dateBegin") );
      out.write("  ");
      out.write("</td>\n            ");
      out.write("<td nowrap class=\"input begin\">");
      out.print( bee.getTimeDropDowns( bee.getValueForDisplay("timeBegin", bee.getNowTime()), "timeBegin") );
      out.write("</td>\n            ");
      out.write("<td nowrap class=\"notes\"  rowspan=\"2\" valign=\"top\" class=\"input\">\n            \t");
      out.write("<textarea name=\"comment\" cols=\"30\" rows=\"2\">");
      out.print( bee.getValueForDisplay("comment") );
      out.write("</textarea>\n            ");
      out.write("</td>\n        ");
      out.write("</tr>\n        ");
      out.write("<tr>\n            ");
      out.write("<td nowrap class=\"input end\">");
      out.write("<b>Ende");
      out.write("</b>");
      out.write("</td>\n            ");
      out.write("<td nowrap class=\"dateDrops input end\">");
      out.print( bee.getDateDropDowns( bee.getValueForDisplay("dateEnd", bee.getNowDate()), "dateEnd"));
      out.write(" ");
      out.write("</td>\n            ");
      out.write("<td nowrap class=\"input end\">");
      out.print( bee.getTimeDropDowns( bee.getValueForDisplay("timeEnd", bee.getNowTime()), "timeEnd") );
      out.write("</td>\n        ");
      out.write("</tr>\n        \n        ");
      out.write("<!-- ");
      out.write("<tr>\n        \t");
      out.write("<td nowrap colspan=\"4\" class=\"inputSize\">\n        \t\tDieser Termin findet regelmäßig alle ");
      out.write("<input type=\"text\" name=\"period\" size=\"3\" maxlength=\"3\" value=\"0\"> Tage statt.\n        \t");
      out.write("</td>\n        ");
      out.write("</tr> -->\n\t");
      out.write("</table>\n");
      out.write("</form>\n\n");
      out.write("\n        \n\n\n");
    } catch (Throwable t) {
      out = _jspx_out;
      if (out != null && out.getBufferSize() != 0)
        out.clearBuffer();
      if (pageContext != null) pageContext.handlePageException(t);
    } finally {
      if (_jspxFactory != null) _jspxFactory.releasePageContext(pageContext);
    }
  }
}
