<%@ include file = "standardheadWOhtml.jsp"%>
<%@ page import = "java.util.Vector, java.util.Iterator"%>
<%@ page import = "beans.InvalidNameException, beans.NamingConflictException"%>
<%@ page import = "beans.DoubleInsertException, beans.OperationNotPermittedException"%>
<%@ page import = "beans.DataNotFoundException"%>
<jsp:useBean id="groupAdmin" class="beans.GroupAdmin" scope="session"/>
<jsp:useBean id="strChk" class="beans.StringChecker" scope="session"/>

<%
String CONTACT_MAIL_ADDR = "contact@terminator.de.vu";
String UNEXPECTED_EXCEPTION_MSG = "Es trat ein unerwarteter Fehler auf. Bitte schreiben Sie eine Mail an " + CONTACT_MAIL_ADDR + " und beschreiben Sie die Situation.";
boolean changeName = beans.Tools.isKeyInRequest(request,"changeName");
boolean insertGroup = beans.Tools.isKeyInRequest(request,"insertGroup");
boolean removeUser = beans.Tools.isKeyInRequest(request,"removeUser");
boolean insertUser = beans.Tools.isKeyInRequest(request,"insertUser");
boolean changeAdmin = beans.Tools.isKeyInRequest(request,"changeAdmin");
boolean changeGroup = beans.Tools.isKeyInRequest(request,"changeGroup");
boolean deleteGroup = beans.Tools.isKeyInRequest(request,"deleteGroup");
String groupToChangeID = request.getParameter("groupToChangeID");
String userID = logger.getUserID();

if (insertGroup) {
	// hier checken, ob der Gruppenname valid ist
	String newGroupName = request.getParameter("newGroupName");
	boolean updated = false;
	try {
		updated = groupAdmin.insertGroup(newGroupName, userID);
		if (updated) {
			setSuccessMessage("Die Gruppe '" + newGroupName + "' wurde angelegt.");
			ResultSet rs = dbConn.query("select groups.groupID from groups where name = '" + newGroupName + "' and adminID = " + userID);
			if (rs.next()) {
				int newGroupID = rs.getInt("groupID");
				groupToChangeID = "" + newGroupID;
				changeGroup = true;
			}
		}
		else {
			setErrorMessage("Beim anlegen der Gruppe trat ein Fehler auf.");
		}
	}
	catch (InvalidNameException ex) {
		setErrorMessage(ex.getMessage());
	}
	catch (NamingConflictException ex) {
		setErrorMessage(ex.getMessage());
	}
	catch (SQLException ex) {
		setErrorMessage(ex.getMessage());
	}
	catch (Exception ex) {
		setErrorMessage(UNEXPECTED_EXCEPTION_MSG);
	}
}

else if (deleteGroup) {
	try {
		if (groupAdmin.deleteGroup(groupToChangeID))	{
			setSuccessMessage("Gruppe wurde gel&ouml;scht.");
		}
		else {
			setErrorMessage("Beim lschen der Gruppe trat ein Fehler auf.");
		}
	}
	catch (Exception ex) {
		setErrorMessage(UNEXPECTED_EXCEPTION_MSG);
	}
}
else if(changeName) {
	String changedGroupName = request.getParameter("changedGroupName");
	String groupIDString = request.getParameter("groupToChangeID");
	try {
		if (groupAdmin.changeGroupName(groupIDString, changedGroupName)) {
			setSuccessMessage("Der Gruppenname wurde in '" + changedGroupName + "' ge&auml;ndert.");
		}
		else {
			setErrorMessage("Beim ndern des Gruppennamen trat ein Fehler auf.");
		}
	}
	catch (InvalidNameException ex) {
		setErrorMessage(ex.getMessage());
	}
	catch (Exception ex) {
		setErrorMessage(UNEXPECTED_EXCEPTION_MSG);
	}
}
else if (changeAdmin && groupToChangeID != null) {
	String newAdminName = request.getParameter("changedAdminName");
	try {
		if (groupAdmin.changeGroupAdmin(groupToChangeID, newAdminName))	{
			setSuccessMessage("Der neue Administrator der Gruppe ist " + newAdminName + ".");
		}
		else {
			setErrorMessage("Beim &auml;ndern des Administrators trat ein Fehler auf.");
		}
	}
	catch (Exception ex) {
		setErrorMessage(UNEXPECTED_EXCEPTION_MSG);
	}
}
else if (insertUser && groupToChangeID != null) {
	String userName = request.getParameter("newUserName");
	try {
		if (groupAdmin.insertUser(groupToChangeID, userName)) {
			setSuccessMessage(userName + " wurde in die Gruppe eingef&uuml;gt.");
		}
		else {
			setErrorMessage("Beim einf&uuml;gen des Benutzers trat ein Fehler auf.");
		}
	}
	catch (DataNotFoundException ex) {
		setErrorMessage(ex.getMessage());
	}
	catch (DoubleInsertException ex) {
		setErrorMessage(ex.getMessage());
	}
	catch(SQLException ex) {
		setErrorMessage(ex.getMessage());
	}
	catch (Exception ex) {
		setErrorMessage(UNEXPECTED_EXCEPTION_MSG);
	}
}
else if (removeUser && groupToChangeID != null) {
	String userName = request.getParameter("members");
	try {
		if (groupAdmin.removeUser(groupToChangeID, userID, userName)) {
			setSuccessMessage(userName + " wurde aus der Gruppe gel&ouml;scht.");
		}
		else {
			setErrorMessage("Beim l&ouml;schen des Benutzers trat ein Fehler auf.");
		}
	}
	catch (DataNotFoundException ex) {
		setErrorMessage(ex.getMessage());
	}
	catch (OperationNotPermittedException ex) {
		setErrorMessage(ex.getMessage());
	}
	catch (SQLException ex) {
		setErrorMessage(ex.getMessage());
	}
	catch (Exception ex) {
		setErrorMessage(UNEXPECTED_EXCEPTION_MSG);
	}
}
else if((changeGroup || insertUser || removeUser || deleteGroup) && groupToChangeID == null) {
	setErrorMessage("W&auml;hlen Sie eine Gruppe um die Aktion auszufhren!");
}%>
<center>
<h1>Gruppen-Administrator</h1>
</center>
<br>
<%
ResultSet rs = dbConn.query("select name, groupID from groups where adminID = " + userID  + " order by name");

%>
<menu>
	<form action="mainFrame.jsp" method="get" >
	<center>
	<%if (rs != null && rs.next()) {%>
		Sie sind Administrator in den Gruppen<br>
		<select size="5" style="width:200"name="groupToChangeID">
		<%
			do {
				String currentName = rs.getString("name");
				int submitGroupToChangeID = rs.getInt("groupID");
				// TODO: Das muss bersichtlicher werden!
				String submitGroupToChangeIDString = "" + submitGroupToChangeID;
				String currentChangedGroupIDString = groupToChangeID;
				String selected = (submitGroupToChangeIDString.equals(currentChangedGroupIDString)) ? "selected" : "";
				%>
					<option value="<%=submitGroupToChangeID%>" <%=selected%>><%=currentName %></option>
				<%
			} while (rs.next());
		%>
		</select>
		<br>
		<input type="image" src="buttons/bearbeiten.gif" name="changeGroup" >
		<input type="image" src="buttons/entfernen.gif" name="deleteGroup" ><br><br>
	<%} else {%>
		Sie sind bisher in keiner Gruppe Administrator.<br><br>
	<%}%>
	<input type="text" name="newGroupName" value="">
	<input type="image" src="buttons/anlegen.gif" name="insertGroup">
	<input type="hidden" name="showGroupAdmin.x">
	</form>
	</center>
</menu>
<%
if(!(deleteGroup || changeAdmin) && groupToChangeID != null) {
	rs = dbConn.query("select groups.name from groups where groupID = " + groupToChangeID);
	
	String groupName = null;
	if (rs.next()) {
		groupName = rs.getString("name");
	}
	else {
		setErrorMessage("Konnte GruppenID nicht aus Datenbank bekommen");
	}	
	rs = dbConn.query("select users.userName from users where userID = " + userID);
	String adminName = null;
	if (rs.next()) {
		adminName = rs.getString("userName");
	}
	else {
		setErrorMessage("Konnte den Namen des Administrators nicht im System finden!");
	}	
	rs = dbConn.query("select users.userID, users.userName from users, rel_uid_gid where rel_uid_gid.groupID = " + groupToChangeID + " and rel_uid_gid.userID = users.userID");
	Vector userNames = new Vector();
%>
<div style="height:60px"></div>
<table border="0" width="100%">
<tr>
	<td width="50%" valign="top">
		<center>
			<form action="mainFrame.jsp" method="post">
				<table>
				<tr>
					<td>
						Gruppenname:<br>
						<input type="text" name="changedGroupName" size="15" value=<%=groupName%> >
					</td>
					<td>
						<input type="image" src="buttons/aendern.gif" name="changeName" value="ndern">
					</td>
				</tr>
				<tr>
					<td>
						Neuer Administrator:<br>
						<!--input type="text" name="changedAdminName" size="15" value="<%=adminName%>"/-->
						<select size="5" style="width:200" name="changedAdminName">
							<%
							int myUserID = Integer.parseInt(userID);
							while (rs.next()) {
								String currentUserName = rs.getString("userName");
								int currentUserID = rs.getInt("userID");
								if (currentUserID != myUserID) { %>
									<option><%=currentUserName%></option>
								<%
								}
								userNames.add(currentUserName);
							}
							%>
						</select>
					</td>
					<td>
						<input type="image" src="buttons/aendern.gif" name="changeAdmin"/>
					</td>
				</tr>
				</table>
				<input type="hidden" name="groupToChangeID" value="<%=groupToChangeID%>">
				<input type="hidden" name="showGroupAdmin.x">
			</form>
		</center>
	</td>
	<td width="50%" valign="top">
		<center>
			<form action="mainFrame.jsp" method="post">
			<table>
				<tr>
				<td>
				Mitglied:<br>
				<input type="text" name="newUserName" value="">
				</td>
				<td>
				<input type="image" src="buttons/einfuegen.gif" name="insertUser" value="Einfgen">	
				</td>
				</tr>
				<tr>
				<td>
				Mitglieder:<br>
				<select size="5" style="width:200" name="members">
					<%
					Iterator iter = userNames.iterator();
					while (iter.hasNext()) {
						String currentUserName = (String) iter.next();
						%>
							<option><%=currentUserName%></option>
						<%
					}
					%>
				</select>
				</td>
				<td>
				<input type="image" src="buttons/entfernen.gif" name="removeUser" value="Entfernen"><br>
				</td>
				</tr>
				</table>
				<!--input type="hidden" name="groupName" value="<%=groupName%>"-->
				<input type="hidden" name="groupToChangeID" value="<%=groupToChangeID%>">
				<input type="hidden" name="showGroupAdmin.x">
			</form>
		</center>
	</td>
</tr>
</table>
<%}%>
