<%@ include file = "standardheadWOLogin.jsp"%>

<title>Anmeldung</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<h1 align="center">Einen neuen Account anlegen</h1>
<div align="center">Alle Angaben mit '*' sind notwendig!</div>

<% 
boolean isSubmitted 	= beans.Tools.isKeyInRequest(request,"NewAccount");
String userName 		= request.getParameter("userName");
String password 		= request.getParameter("password");
String password2 		= request.getParameter("password2");
String email 			= request.getParameter("email");
String firstName 		= request.getParameter("firstName");
String lastName 		= request.getParameter("lastName");
String birthdayDay 		= request.getParameter("birthdayDay");
String birthdayMonth 	= request.getParameter("birthdayMonth");
String birthdayYear 	= request.getParameter("birthdayYear");
String birthday 		= "";

boolean isUserNameOK  	= true;
boolean isPasswordOK  	= true;
boolean isEmailOK 	  	= true;
boolean userExists 		= false;
boolean isVisitedAgain 	= isSubmitted;
boolean isDBConnectionOK= dbConn.isDatabaseConnectionOK();


if(isSubmitted){
	if(isDBConnectionOK){

		if(password == null)  password  = "";
		if(password2 == null) password2 = "";
		if(email == null) 	  email = "";
		
		String birthdaySQLString = tools.makeBirthDate(birthdayYear, birthdayMonth, birthdayDay);
		
		if(userName == null || userName.equals("") ) isUserNameOK = false;
		if((password.equals("")) || !(password.equals(password2))) isPasswordOK = false;
		isEmailOK = tools.emailStringChecker(email);
		
		if(isUserNameOK){
			if(dbConn.isNewUser(userName)){
				if(isPasswordOK  && isEmailOK){
					dbConn.createNewUser(userName, password, firstName, lastName, email, birthdaySQLString);																
				
					String userID = dbConn.verifyUser(userName, password);
				
					if(userID != null && userID.length()>0){
						logger.logIn(userID, userName);
						response.sendRedirect("index.jsp");
					}
					else{
						response.sendRedirect("NewAccountError.jsp");
					}
				}		
			}else {userExists = true;}
		}
	}
}
 %>
 
<div align="center"> 
<%
if	(!(isDBConnectionOK )){ %>
 	<br><font color="#FF0000">Zur Zeit kann keine Verbindung zum Datenbankserver hergestellt werden. Wir bitten um Entschuldigung</font><br>
<% }
else{
	if (!(isUserNameOK ) && isVisitedAgain) out.print("<font color='#FF0000'>Login ist leer</font><br>");
	if (userExists && isVisitedAgain) 		out.print("<font color='#FF0000'>Loginname schon vergeben</font><br>");
	if (!(isPasswordOK ) && isVisitedAgain) out.print("<font color='#FF0000'>Password stimmte nicht berein oder fehlt</font><br>");
	if (!(isEmailOK ) && isVisitedAgain) 	out.print("<font color='#FF0000'>eMail stimmte nicht oder fehlt</font><br>");
}
%>


  <form action= "newAccount.jsp" method= "<%if(debugMode) out.print("get"); else out.print("post");%>">
    <table border="2" cellpadding="2" cellspacing="0" rules="none" frame="group">
	  <tr><td height="3" colspan="4"></td></tr>
      <tr> 
	  	<td><%if ((!(isUserNameOK) || userExists) && isVisitedAgain){ out.print("<font color=#FF0000>&nbsp;*&nbsp;</font>");} else {out.print("&nbsp;*&nbsp;");}%></td>
		<td>Login:</td>
        <td><input name= "userName" type="text" value="<%if(userName != null) out.print(userName);%>" size="42"></td>
		<td></td>
      </tr>
      <tr> 
	  	<td><%if (!(isPasswordOK) && isVisitedAgain) { out.print("<font color=#FF0000>&nbsp;*&nbsp;</font>");} else {out.print("&nbsp;*&nbsp;");}%></td>
        <td>Passwort:</td>
        <td><input type="password" name= "password" value="" size="42"></td>
		<td></td>
      </tr>
	  <tr> 
	  <td><%if (!(isPasswordOK) && isVisitedAgain) { out.print("<font color=#FF0000>&nbsp;*&nbsp;</font>");} else {out.print("&nbsp;*&nbsp;");}%></td>
        <td>Passwort nochmal:</td>
        <td><input type="password" name= "password2" value="" size="42"></td>
		<td></td>
      </tr>
	  <tr> 
	  	<td><%if (!(isEmailOK) && isVisitedAgain){ out.print("<font color=#FF0000>&nbsp;*&nbsp;</font>");} else {out.print("&nbsp;*&nbsp;");}%></td>
        <td>eMail:</td>
        <td><input type="text" name= "email" value="<%if(email != null) out.print(email);%>" size="42"></td>
      	<td></td>
	  </tr>     
	  <tr> 
	  	<td></td>
        <td>Vorname:</td>
        <td><input type="text" name= "firstName" value="<%if(firstName != null) out.print(firstName);%>" size="42"></td>
     	<td></td>
	  </tr> 
	  <tr> 
	  	<td></td>
        <td>Nachname:</td>
        <td><input type="text" name= "lastName" value="<%if(lastName != null) out.print(lastName);%>" size="42"></td>
      	<td></td>
	  </tr>
	  <tr> 
	  	<td></td>
        <td>Geburtstag:</td>
          <td>
		  	Tag:&nbsp;<select name="birthdayDay" size="1">
				<option></option>
				<% for (int i = 1; i < 32; i++) {%>
        			<option <%if(tools.isTrimStringNotEmpty(birthdayDay) && Integer.parseInt(birthdayDay) == i) out.print("selected");%>><%= (i<10) ? "0" + i : "" + i %></option> 
				<%}%>        		
			</select>
        	Monat:&nbsp;<select name="birthdayMonth" size="1">
				<option></option>
				<% for (int i = 1; i < 13; i++) {%>
        			<option <%if(tools.isTrimStringNotEmpty(birthdayMonth) && Integer.parseInt(birthdayMonth) == i) out.print("selected");%>><%= (i<10) ? "0" + i : "" + i %></option>
        		<%}%>          		
			</select>
			Jahr:&nbsp;<select name="birthdayYear" size="1">
			<option></option>
				<% for (int i = (tools.getToday()).get(Calendar.YEAR) - 110; i < (tools.getToday()).get(Calendar.YEAR) + 1; i++) {%>
        			<option <%if(tools.isTrimStringNotEmpty(birthdayYear) && Integer.parseInt(birthdayYear) == i) out.print("selected");%>><%= i %></option>
        		<%}%> 		
			</select>
		 </td>
	  	<td></td>
	  </tr> 
	  <tr>
	  	<td height="12" colspan="4"></td>
	  </tr>
	  <tr>
	  	<td align="center" colspan="4"><input type="image" src="buttons/anmelden.gif" name="NewAccount" value="Anmelden" title="anmelden" alt="anmelden"></td>
	  </tr>
	  <tr><td height="3" colspan="4"></td></tr>
    </table>
    
  </form>
  Zur&uuml;ck zum <a href="Login.jsp"><img src="buttons/terminatorStatic.gif" border="0" title="Termin@or-Homepage" alt="Termin@or-Homepage" align="top"></a>
</div>
</body>
</html>


