package org.apache.jsp;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import org.apache.jasper.runtime.*;
import java.sql.*;
import java.util.*;
import beans.date.*;

public class conflictView_jsp extends HttpJspBase {

 
	private boolean debugMode = true;				
	private HttpServletRequest myRequest;
	public static final String ERR_MSG_KEY = "errorMessage";
	public static final String SUC_MSG_KEY = "successMessage";
	
	private void setErrorMessage(String errMsg) {
		myRequest.setAttribute(ERR_MSG_KEY, errMsg);
	}
	
	private void setSuccessMessage(String msg){
		myRequest.setAttribute(SUC_MSG_KEY, msg);
	}
	


  private static java.util.Vector _jspx_includes;

  static {
    _jspx_includes = new java.util.Vector(2);
    _jspx_includes.add("/standardheadWOhtml.jsp");
    _jspx_includes.add("/standardhead_java.jsp");
  }

  public java.util.List getIncludes() {
    return _jspx_includes;
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    JspFactory _jspxFactory = null;
    javax.servlet.jsp.PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;


    try {
      _jspxFactory = JspFactory.getDefaultFactory();
      response.setContentType("text/html;charset=ISO-8859-1");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\n");
      beans.LogTracker logger = null;
      synchronized (session) {
        logger = (beans.LogTracker) pageContext.getAttribute("logger", PageContext.SESSION_SCOPE);
        if (logger == null){
          try {
            logger = (beans.LogTracker) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.LogTracker");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.LogTracker", exc);
          }
          pageContext.setAttribute("logger", logger, PageContext.SESSION_SCOPE);
        }
      }
      out.write("\n");
      beans.Tools tools = null;
      synchronized (application) {
        tools = (beans.Tools) pageContext.getAttribute("tools", PageContext.APPLICATION_SCOPE);
        if (tools == null){
          try {
            tools = (beans.Tools) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.Tools");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.Tools", exc);
          }
          pageContext.setAttribute("tools", tools, PageContext.APPLICATION_SCOPE);
        }
      }
      out.write("\n");
      beans.DatabaseLayer dbConn = null;
      synchronized (session) {
        dbConn = (beans.DatabaseLayer) pageContext.getAttribute("dbConn", PageContext.SESSION_SCOPE);
        if (dbConn == null){
          try {
            dbConn = (beans.DatabaseLayer) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.DatabaseLayer");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.DatabaseLayer", exc);
          }
          pageContext.setAttribute("dbConn", dbConn, PageContext.SESSION_SCOPE);
        }
      }
      out.write(" ");
      out.write("\n");
      out.write("\n");
 myRequest = request; 
      out.write("\n");
      out.write("\n\n");
if(!logger.isLoggedIn() && request.getRequestURI().indexOf("Login.jsp") < 0){
      out.write("\n\t");
      if (true) {
        pageContext.forward("Login.jsp");
        return;
      }
      out.write("\n");
}
      out.write("\r\n");
      out.write("\r\n");
      beans.date.TerminPreparator dates = null;
      synchronized (session) {
        dates = (beans.date.TerminPreparator) pageContext.getAttribute("dates", PageContext.SESSION_SCOPE);
        if (dates == null){
          try {
            dates = (beans.date.TerminPreparator) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.date.TerminPreparator");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.date.TerminPreparator", exc);
          }
          pageContext.setAttribute("dates", dates, PageContext.SESSION_SCOPE);
        }
      }
      out.write("\r\n\t\t\r\n\r\n");
      out.write("<div align=\"left\" valign=\"top\">\t\t\r\n");
	
    	int vectX = Integer.parseInt(request.getParameter("VectorX"));
    	int vectY = Integer.parseInt(request.getParameter("VectorY"));
    	
    	ConflictTermin conflictTermin = null;
    	try {
			conflictTermin = (ConflictTermin)dates.getTerminAt(vectX,vectY);
	    } catch (ClassCastException ex) {
	    	// TODO: behandeln
	    }
    	
      out.write("\r\n    \tFür den Zeitraum vom ");
      out.print( tools.getDate(conflictTermin.getBegin()));
      out.write(" ");
      out.print( tools.getTime(conflictTermin.getBegin()));
      out.write(" Uhr bis ");
      out.print( tools.getDate(conflictTermin.getEnd()));
      out.write(" ");
      out.print( tools.getTime(conflictTermin.getEnd()));
      out.write(" Uhr sind folgende Konflikte aufgetreten:");
      out.write("<br>");
      out.write("<br>\r\n    \t");
      out.write("<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n    \t");

    	for(int i = 0; i < conflictTermin.getNumberOfConflictingTermins(); i++){
	    	 ShowTermin currentTermin = null;
	    	 try {
		    	 currentTermin = (ShowTermin)conflictTermin.getTerminAt(i);
			 } catch (ClassCastException ex) {
	    	// TODO: behandeln
	    	}
	    	String termType = "";
	    	String color = "";
	    	if(currentTermin.isReadable()){
	    		if (currentTermin.getRealTermin() instanceof UserTermin){
					termType = "userdate";
	    			color = "#CCFFCC";
		    	} else {
		    		termType = "groupdate";
	    			color = "#66CCFF";
	    		}
	    	} else {
	    		if (currentTermin.getRealTermin() instanceof UserTermin){
					termType = "userdate";
		    	} else {
		    		termType = "groupdate";
	    		}
	    		color = "#FFCC66";
	    	}
	    	
      out.write("\r\n\t    \t");
      out.write("<form action= \"mainFrame.jsp\" method=\"get\">\r\n\t    \t");
      out.write("<tr bgcolor=\"");
      out.print( color );
      out.write("\">\r\n\t    \t\t");
      out.write("<td colspan=\"2\">Vom ");
      out.print( tools.getDate(currentTermin.getRealTermin().getBegin()));
      out.write(" ");
      out.print( tools.getTime(currentTermin.getRealTermin().getBegin()));
      out.write(" Uhr bis ");
      out.print( tools.getDate(currentTermin.getRealTermin().getEnd()));
      out.write(" ");
      out.print( tools.getTime(currentTermin.getRealTermin().getEnd()));
      out.write(" Uhr");
      out.write("</td>\r\n\t    \t\t");
      out.write("<td rowspan=\"2\" valign=\"bottom\" >");
 if(currentTermin.isEditable()){
      out.write("\r\n\t    \t\t\t\t\t");
      out.write("<input type=\"image\" name=\"showDateEditor\" src=\"buttons/aendern.gif\" alt=\"Hier kann der Termin geändert werden.\" title=\"Hier kann der Termin geändert werden.\">\r\n\t    \t\t\t\t");
} else { 
      out.write("\r\n\t    \t\t\t\t\t");
      out.write("<img src=\"buttons/aendern_grey.gif\" border=\"0\" alt=\"Kann nur vom GruppenAdministrator geändert werden !\" title=\"Kann nur vom GruppenAdministrator geändert werden !\">\r\n\t    \t\t\t\t");
}
      out.write("\r\n\t    \t\r\n\t    \t\t");
      out.write("</td>\r\n\t    \t");
      out.write("</tr>\r\n\t    \t");
 if(currentTermin.isReadable()){
      out.write("\r\n\t\t\t\t");
      out.write("<tr valign=\"top\" bgcolor=\"");
      out.print( color );
      out.write("\">\r\n\t    \t\t\t");
      out.write("<td>");
      out.write("<b>");
      out.print( currentTermin.getRealTermin().getTitle());
      out.write("</b>");
      out.write("</td>\r\n\t    \t\t\t");
      out.write("<td>");
      out.print( currentTermin.getRealTermin().getComment());
      out.write("</td>\r\n\t   \t\t \t");
      out.write("</tr>");
	
	    	} else {
      out.write("\r\n\t\t\t\t");
      out.write("<tr valign=\"top\" bgcolor=\"");
      out.print( color );
      out.write("\">\r\n\t    \t\t\t");
      out.write("<td colspan=\"2\"> Dies ist ein Termin einer anderen Person dieser Gruppe!");
      out.write("</td>\r\n\t   \t\t \t");
      out.write("</tr>");
	
	    	
	    	}
      out.write("\r\n\t    \t");
      out.write("<tr>\r\n\t    \t\t");
      out.write("<td>");
      out.write("<input type=\"hidden\" name=\"actionChange\" value=\"");
      out.print( termType );
      out.write("\">");
      out.write("</td>\r\n\t    \t\t");
      out.write("<td>");
      out.write("<input type=\"hidden\" name=\"dateID\" value=\"");
      out.print( currentTermin.getRealTermin().getDateID() );
      out.write("\">");
      out.write("</td>\r\n\t    \t\t");
      out.write("<td>&nbsp");
      out.write("</td>\r\n\t    \t");
      out.write("</tr>\r\n\t    \t");
      out.write("</form>\t\t\r\n\t    \t");

	    	 
	    }

      out.write("\t\t\r\n\t\t");
      out.write("</table>\r\n");
      out.write("</div>");
    } catch (Throwable t) {
      out = _jspx_out;
      if (out != null && out.getBufferSize() != 0)
        out.clearBuffer();
      if (pageContext != null) pageContext.handlePageException(t);
    } finally {
      if (_jspxFactory != null) _jspxFactory.releasePageContext(pageContext);
    }
  }
}
